﻿using Dynamicweb.Extensibility.Notifications;
using Dynamicweb.Ecommerce.LiveIntegration.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.Examples.Notifications
{    
    /// <summary>
    /// Class CommunicationAfterErpExceptionSubscriber.
    /// </summary>
    /// <seealso cref="NotificationSubscriber" />
    [Subscribe(Communication.OnAfterErpException)]
    public class CommunicationAfterErpExceptionSubscriber : NotificationSubscriber
    {
        /// <summary>
        /// Call to invoke observer.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            var myArgs = (Communication.OnAfterErpExceptionArgs)args;

            // TODO: Add code here
            if (myArgs?.Exception != null)
            {
                Logging.Logger.Instance.Log(Logging.ErrorLevel.Error, "Some error occurred");
            }
        }
    }
}
